﻿using System.Collections.Generic;
using System.Web.Mvc;

namespace MvcApplication6.Models
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {
            AlunoModel _objAlunoModel = new AlunoModel();
            _objAlunoModel = AlunoRegistros();
            return View(_objAlunoModel);
        }
        [HttpPost]
        public ActionResult Index(AlunoModel _objAlunoModel)
        { 
            return View(_objAlunoModel);
        }
        /// <summary>
        /// This function will return data for webgrid
        /// </summary>
        /// <returns></returns>
        public AlunoModel AlunoRegistros()
        {
            AlunoModel _oAlunoModel = new AlunoModel();
            _oAlunoModel.AlunoLista = new List<Aluno>();
            _oAlunoModel.AlunoLista.Add(new Aluno { Nome = "Macoratti", Classe = "#3A", Nascimento = "12/08/1975", Email = "macoratti@yahoo.com" });
            _oAlunoModel.AlunoLista.Add(new Aluno { Nome = "Jefferson", Classe = "#3B", Nascimento = "25/07/1992", Email = "jeff@uol.com.br" });
            _oAlunoModel.AlunoLista.Add(new Aluno { Nome = "Miria Estela", Classe = "#2F", Nascimento = "12/07/1986", Email = "mimi@hotmail.com" });
            _oAlunoModel.AlunoLista.Add(new Aluno { Nome = "Janice Rachel", Classe = "#1H", Nascimento = "02/08/1992", Email = "janjan@bol.com.br" });
            _oAlunoModel.AlunoLista.Add(new Aluno { Nome = "Jessica Lang", Classe = "#2D", Nascimento = "11/06/1990", Email = "jesslang@bol.com.br" });

            return _oAlunoModel;
        }
    }
}
